Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Interface Realm.LDAPProperty

Enclosing interface:
  Realm

public static interface Realm.LDAPProperty

LDAPProperty defines the LDAP properties applicable for creating a realm (user manager and role manager) using LDAP directory as a backing store.

Field Summary
`static java.lang.String` | `ROLES_ISEXTERNAL`
`static java.lang.String` | `ROLES_MEMBER_ATTR`
`static java.lang.String` | `ROLES_NAME_ATTR`
`static java.lang.String` | `ROLES_OBJ_CLASS`
`static java.lang.String` | `ROLES_SEARCHBASE`
`static java.lang.String` | `SUBSCRIBER_DN`
`static java.lang.String` | `USERS_ISEXTERNAL`
`static java.lang.String` | `USERS_NAME_ATTR`
`static java.lang.String` | `USERS_OBJ_CLASS`
`static java.lang.String` | `USERS_SEARCHBASE`

Field Detail

### SUBSCRIBER_DN

    public static final java.lang.String SUBSCRIBER_DN

  See Also:
    Constant Field Values

### USERS_ISEXTERNAL

    public static final java.lang.String USERS_ISEXTERNAL

  See Also:
    Constant Field Values

### USERS_SEARCHBASE

    public static final java.lang.String USERS_SEARCHBASE

  See Also:
    Constant Field Values

### USERS_NAME_ATTR

    public static final java.lang.String USERS_NAME_ATTR

  See Also:
    Constant Field Values

### USERS_OBJ_CLASS

    public static final java.lang.String USERS_OBJ_CLASS

  See Also:
    Constant Field Values

### ROLES_ISEXTERNAL

    public static final java.lang.String ROLES_ISEXTERNAL

  See Also:
    Constant Field Values

### ROLES_SEARCHBASE

    public static final java.lang.String ROLES_SEARCHBASE

  See Also:
    Constant Field Values

### ROLES_NAME_ATTR

    public static final java.lang.String ROLES_NAME_ATTR

  See Also:
    Constant Field Values

### ROLES_OBJ_CLASS

    public static final java.lang.String ROLES_OBJ_CLASS

  See Also:
    Constant Field Values

### ROLES_MEMBER_ATTR

    public static final java.lang.String ROLES_MEMBER_ATTR

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.